package modelsorter;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Collections;
import java.util.Comparator;
import java.util.Vector;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

public class PersonSorterGUI extends JFrame {

	int width = 500;
	int height = 500;

	JList namesList;

	public PersonSorterGUI() {
		setPreferredSize(new Dimension(width, height));
		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		addControls();
		center();
		pack();
	}

	private void addControls() {
		GridLayout gridLayout = new GridLayout(2, 1);
		setLayout(gridLayout);

		namesList = new JList(new PersonListModel());

		JScrollPane scrollPane = new JScrollPane(namesList);
		add(scrollPane);

		JButton btnSortByLastName = new JButton("Sortiraj po prezimenu");
		JButton btnSortByYear = new JButton("Sortiraj po godini");

		btnSortByLastName.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent arg0) {
				/* smemo cast jer znamo sta smo prosledili JList komponenti */
				PersonListModel pmodel = (PersonListModel) namesList.getModel();
				pmodel.sortByLastName();
			}
		});

		JPanel buttonPanel = new JPanel();
		add(buttonPanel);

		btnSortByYear.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent arg0) {
				PersonListModel pmodel = (PersonListModel) namesList.getModel();
				pmodel.sortByBirthYear();
			}
		});
		buttonPanel.add(btnSortByLastName);
		buttonPanel.add(btnSortByYear);
	}

	private void center() {
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(new Point((int) (dim.getWidth() - width) / 2,
				(int) (dim.getHeight() - height) / 2));
	}

	public static void main(String[] args) {
		PersonSorterGUI gui = new PersonSorterGUI();
	}
}
