package tablemodel;

import java.util.ArrayList;
import java.util.List;

import javax.swing.table.AbstractTableModel;

public class MyTableModel extends AbstractTableModel {

	private List<Item> items = new ArrayList<Item>();

	public MyTableModel(List<Item> items) {
		this.items = items;
	}

	@Override
	public int getColumnCount() {
		return 3;
	}

	@Override
	public int getRowCount() {
		return items.size();
	}

	@Override
	public Object getValueAt(int arg0, int arg1) {
		Item item = items.get(arg0);
		switch (arg1) {
		case 0:
			return item.getName();
		case 1:
			return item.getPrice();
		case 2:
			return item.getAmount();
		default:
			return "";
		}
	}

	public void addItem(Item item) {
		items.add(item);
		fireTableRowsInserted(items.size()-1,items.size()-1);
	}
}
