package tablemodel;

import java.awt.Dimension;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JFrame;
import javax.swing.JTable;

public class TableModelGUI extends JFrame {

	int width = 500;
	int height = 500;
	JTable table;

	public TableModelGUI() {
		setPreferredSize(new Dimension(width, height));
		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		addControls();
		center();
		pack();
	}

	private void addControls() {
		/*
		Object[][] data = new Object[][]{
			new Object[]{"pegla",3425,4},
			new Object[]{"usisivac",5425,2},
			new Object[]{"mikrotalasna",6425,2},
		};
		Object[] header = new Object[]{"naziv","cena","kolicina"};
		table = new JTable(data, header); */
		List<Item> items = new ArrayList<Item>();
		items.add(new Item("pegla",523, 2));
		items.add(new Item("usisivac",123, 3));
		items.add(new Item("mikrotalasna",223, 4));
		MyTableModel model = new MyTableModel(items);
		table = new JTable(model);
		table.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				super.mouseClicked(e);
				MyTableModel model = (MyTableModel)table.getModel();
				model.addItem(new Item("masina",233,6));
			}
		});
		add(table);
	}

	private void center() {
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(new Point((int) (dim.getWidth() - width) / 2,
				(int) (dim.getHeight() - height) / 2));
	}

	public static void main(String[] args) {
		TableModelGUI gui = new TableModelGUI();
	}
}
